from django.utils.translation import ugettext_lazy as _

MENUS = {
    "NAV_MENU_CORE": [
        {
            "name": _("Books"),
            "url": "#",
            "root": True,
            "validators": [
                "menu_generator.validators.is_authenticated",
                "aleksis.core.util.core_helpers.has_person",
            ],
            "submenu": [
                {
                    "name": _("List of books"),
                    "url": "books",
                    "validators": ["menu_generator.validators.is_authenticated"],
                },
                {
                    "name": _("Add book"),
                    "url": "add_book",
                    "validators": ["menu_generator.validators.is_authenticated"],
                },
                {
                    "name": _("Open copy"),
                    "url": "get_copy",
                    "validators": ["menu_generator.validators.is_authenticated"],
                },
                {
                    "name": _("Person borrowing"),
                    "url": "person_borrow",
                    "validators": ["menu_generator.validators.is_authenticated"],
                },
            ],
        }
    ]
}
