# Generated by Django 2.2.5 on 2019-09-03 18:30

import django.db.models.deletion
from django.db import migrations, models

import isbn_field.fields
import isbn_field.validators

import aleksis.core.util.core_helpers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("core", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Book",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=50, verbose_name="Book title")),
                (
                    "author",
                    models.CharField(
                        blank=True, max_length=50, verbose_name="Author name"
                    ),
                ),
                (
                    "publisher",
                    models.CharField(
                        blank=True, max_length=50, verbose_name="Publishing company"
                    ),
                ),
                (
                    "edition",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="Number of edition"
                    ),
                ),
                (
                    "year",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="Publishing year"
                    ),
                ),
                (
                    "isbn",
                    isbn_field.fields.ISBNField(
                        max_length=28,
                        unique=True,
                        validators=[isbn_field.validators.ISBNValidator],
                        verbose_name="ISBN number",
                    ),
                ),
                (
                    "cover",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="",
                        verbose_name="Photo of cover",
                    ),
                ),
                (
                    "school",
                    models.ForeignKey(
                        default=1,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core.School",
                    ),
                ),
            ],
            options={
                "ordering": ["title", "year", "edition"],
                "unique_together": {("school", "title", "author", "edition", "year")},
            },
        ),
        migrations.CreateModel(
            name="BookCopy",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "copy_num",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="Current number of copy"
                    ),
                ),
                (
                    "borrow_count",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="Number of borrowings"
                    ),
                ),
                (
                    "condition",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("U", "New, unused"),
                            ("N", "New, used"),
                            ("S", "Slightly worn"),
                            ("H", "Heavily worn"),
                        ],
                        max_length=1,
                        verbose_name="Condition",
                    ),
                ),
                (
                    "remarks",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="Remarks"
                    ),
                ),
                (
                    "barcode",
                    models.CharField(
                        max_length=20, unique=True, verbose_name="Barcode"
                    ),
                ),
                (
                    "book",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="copies",
                        to="exlibris.Book",
                    ),
                ),
                (
                    "borrower",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="books",
                        to="core.Person",
                    ),
                ),
            ],
            options={
                "ordering": ["book__title", "book__year", "book__edition", "copy_num"],
            },
        ),
    ]
