from django.urls import reverse
from django.utils.translation import ugettext_lazy as _

import django_tables2 as tables
from django_tables2.utils import A


class BooksTable(tables.Table):
    class Meta:
        attrs = {"class": "table table-striped table-bordered table-hover table-responsive-xl"}

    isbn = tables.LinkColumn("book_by_id", args=[A("id")])

    title = tables.LinkColumn(
        "book_by_id",
        args=[A("id")],
        attrs={
            "td": {
                "data-poload": lambda record: reverse("book_card_by_id", kwargs={"id_": record.id})
            }
        },
    )
    author = tables.Column()

    num_copies = tables.Column(verbose_name=_("Copies"), accessor="copies__count")

    edit = tables.LinkColumn("edit_book_by_id", args=[A("id")], verbose_name="", text=_("Edit"))
    delete = tables.LinkColumn(
        "delete_book_by_id", args=[A("id")], verbose_name="", text=_("Delete")
    )


class BookCopiesTable(tables.Table):
    class Meta:
        attrs = {"class": "table table-striped table-bordered table-hover table-responsive-xl"}

    copy_num = tables.Column()
    borrower = tables.Column()
    condition = tables.Column()
    borrow_count = tables.Column()

    edit = tables.LinkColumn(
        "edit_book_copy_by_id", args=[A("id")], verbose_name="", text=_("Edit")
    )
    delete = tables.LinkColumn(
        "delete_book_copy_by_id", args=[A("id")], verbose_name="", text=_("Delete")
    )
