from django.urls import path

from . import views

urlpatterns = [
    path("book/<int:id_>", views.book, {"template": "full"}, name="book_by_id"),
    path("book/<int:id_>/card", views.book, {"template": "card"}, name="book_card_by_id"),
    path("book/<int:id_>/edit", views.edit_book, name="edit_book_by_id"),
    path("book/<int:id_>/delete", views.delete_book, name="delete_book_by_id"),
    path("book/get_copy", views.get_copy, name="get_copy"),
    path(
        "book/copy/<barcode>", views.book_copy, {"template": "full"}, name="book_copy_by_barcode",
    ),
    path(
        "book/<int:id_>/copies/labels", views.book_copies_labels, name="copies_labels_by_book_id",
    ),
    path("book/copy/<int:id_>/edit", views.edit_book_copy, name="edit_book_copy_by_id"),
    path("book/copy/<int:id_>/delete", views.delete_book_copy, name="delete_book_copy_by_id",),
    path("book/<int:id_>/copies/add", views.add_book_copies, name="add_copies_by_book_id"),
    path("book/add", views.add_book, name="add_book"),
    path("book/isbn/<isbn>", views.edit_book, name="edit_book_by_isbn"),
    path("books", views.books, name="books"),
    path("books/borrowing/person", views.person_borrow, name="person_borrow"),
]
