from typing import Dict

import isbnlib


def get_book_meta(isbn: str) -> Dict[str, str]:
    meta_result = {}

    for provider in "dnb", "openl", "goob":
        try:
            meta_result.update(isbnlib.meta(isbn, provider))
        except:
            pass

    meta_translated = {}
    if "Title" in meta_result:
        meta_translated["title"] = meta_result["Title"]
    if "Authors" in meta_result:
        meta_translated["author"] = ", ".join(meta_result["Authors"])
    if "Publisher" in meta_result:
        meta_translated["publisher"] = meta_result["Publisher"]
    if "Year" in meta_result:
        try:
            meta_translated["year"] = int(meta_result["Year"])
        except ValueError:
            pass
    meta_translated["isbn"] = isbn

    return meta_translated
